PDA

Visualizza la versione completa : [Debian] Amule che non funziona


RokStar
29-04-2006, 16:04
Come da oggetto, faccio un apt-get install amule, me lo installa, listbugs non trova bug, vado a lanciarlo e:

$ amule
amule: Symbol `_ZTI7wxSizer' has different size in shared object, consider re-linking
Fatal Error: Mismatch between the program and library build versions detected.
The library used 2.6 (no debug,Unicode,compiler with C++ ABI 102,wx containers,compatible with 2.4),
and your program used 2.6 (no debug,Unicode,compiler with C++ ABI 1002,wx containers,compatible with 2.4).
Abortito


Utilizzo il ramo Sid.

metal milita
29-04-2006, 19:54
anche io uso unstable, ma a me funziona senza problemi.

da quanto ho letto è un problema di librerie ma così non capisco cosa è che non va.

GunMan
20-06-2006, 01:21
scusate se ripesco questa discussione, ma ho pensato che fosse preferibile all'aprire un nuovo thread.

uso suse 10.1 e ho le stesse difficoltà dell'utente che ha aperto il topic

amule: Symbol `_ZTV10wxClientDC' has different size in shared object, consider re-linking
amule: Symbol `_ZTV9wxPaintDC' has different size in shared object, consider re-linking
Fatal Error: Mismatch between the program and library build versions detected.
The library used 2.6 (no debug,Unicode,compiler with C++ ABI 1002,wx containers,compatible with 2.4),
and your program used 2.6 (no debug,Unicode,compiler with C++ ABI 1002,wx containers).
Abortito

questo è il messaggio che mi viene restituito quando tento di avviare l'applicazione dalla shell, ho provato anche con i privilegi di root ma il risultato è stato il medesimo.

se voi poteste darmi un piccolo ragguaglio sul da farsi ve ne sarei grato, anche perchè questo è l'unicpo thread che ho trovato su questo e altri forum che calzasse la mia situazione.

saluti :)

Loading